org.apache.storm.generated

## Class ExecutorStats

- java.lang.Object
- - org.apache.storm.generated.ExecutorStats

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ExecutorStats>, org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class ExecutorStats
      extends Object
      implements org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>, Serializable, Cloneable, Comparable<ExecutorStats>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExecutorStats._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ExecutorStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorStats()`
    `ExecutorStats(ExecutorStats other)` Performs a deep copy on other.
    `ExecutorStats(Map<String,Map<String,Long>> emitted, Map<String,Map<String,Long>> transferred, ExecutorSpecificStats specific, double rate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(ExecutorStats other)`
    `ExecutorStats` | `deepCopy()`
    `boolean` | `equals(ExecutorStats that)`
    `boolean` | `equals(Object that)`
    `ExecutorStats._Fields` | `fieldForId(int fieldId)`
    `int` | `get_emitted_size()`
    `Map<String,Map<String,Long>>` | `get_emitted()`
    `double` | `get_rate()`
    `ExecutorSpecificStats` | `get_specific()`
    `int` | `get_transferred_size()`
    `Map<String,Map<String,Long>>` | `get_transferred()`
    `Object` | `getFieldValue(ExecutorStats._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_emitted()` Returns true if field emitted is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_rate()` Returns true if field rate is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_specific()` Returns true if field specific is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_transferred()` Returns true if field transferred is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(ExecutorStats._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_emitted(String key, Map<String,Long> val)`
    `void` | `put_to_transferred(String key, Map<String,Long> val)`
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_emitted_isSet(boolean value)`
    `void` | `set_emitted(Map<String,Map<String,Long>> emitted)`
    `void` | `set_rate_isSet(boolean value)`
    `void` | `set_rate(double rate)`
    `void` | `set_specific_isSet(boolean value)`
    `void` | `set_specific(ExecutorSpecificStats specific)`
    `void` | `set_transferred_isSet(boolean value)`
    `void` | `set_transferred(Map<String,Map<String,Long>> transferred)`
    `void` | `setFieldValue(ExecutorStats._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_emitted()`
    `void` | `unset_rate()`
    `void` | `unset_specific()`
    `void` | `unset_transferred()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ExecutorStats._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ExecutorStats

          public ExecutorStats()

    - #### ExecutorStats

          public ExecutorStats(Map<String,Map<String,Long>> emitted,
                               Map<String,Map<String,Long>> transferred,
                               ExecutorSpecificStats specific,
                               double rate)

    - #### ExecutorStats

          public ExecutorStats(ExecutorStats other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ExecutorStats deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>`

    - #### get_emitted_size

          public int get_emitted_size()

    - #### put_to_emitted

          public void put_to_emitted(String key,
                                     Map<String,Long> val)

    - #### get_emitted

          public Map<String,Map<String,Long>> get_emitted()

    - #### set_emitted

          public void set_emitted(Map<String,Map<String,Long>> emitted)

    - #### unset_emitted

          public void unset_emitted()

    - #### is_set_emitted

          public boolean is_set_emitted()

      Returns true if field emitted is set (has been assigned a value) and false otherwise

    - #### set_emitted_isSet

          public void set_emitted_isSet(boolean value)

    - #### get_transferred_size

          public int get_transferred_size()

    - #### put_to_transferred

          public void put_to_transferred(String key,
                                         Map<String,Long> val)

    - #### get_transferred

          public Map<String,Map<String,Long>> get_transferred()

    - #### set_transferred

          public void set_transferred(Map<String,Map<String,Long>> transferred)

    - #### unset_transferred

          public void unset_transferred()

    - #### is_set_transferred

          public boolean is_set_transferred()

      Returns true if field transferred is set (has been assigned a value) and false otherwise

    - #### set_transferred_isSet

          public void set_transferred_isSet(boolean value)

    - #### get_specific

          public ExecutorSpecificStats get_specific()

    - #### set_specific

          public void set_specific(ExecutorSpecificStats specific)

    - #### unset_specific

          public void unset_specific()

    - #### is_set_specific

          public boolean is_set_specific()

      Returns true if field specific is set (has been assigned a value) and false otherwise

    - #### set_specific_isSet

          public void set_specific_isSet(boolean value)

    - #### get_rate

          public double get_rate()

    - #### set_rate

          public void set_rate(double rate)

    - #### unset_rate

          public void unset_rate()

    - #### is_set_rate

          public boolean is_set_rate()

      Returns true if field rate is set (has been assigned a value) and false otherwise

    - #### set_rate_isSet

          public void set_rate_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ExecutorStats._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ExecutorStats._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>`

    - #### isSet

          public boolean isSet(ExecutorStats._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ExecutorStats that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ExecutorStats other)

      Specified by:
        `compareTo` in interface `Comparable<ExecutorStats>`

    - #### fieldForId

          public ExecutorStats._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ExecutorStats,ExecutorStats._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.